build+ci: support CentOS Stream 9 and macOS/arm64
This commit also syncs the CI config and scripts with ndn-tools
Change-Id: I54707a7119c5e91138eaf55ad72af8fa98125028
diff --git a/.jenkins.d/10-build.sh b/.jenkins.d/10-build.sh
index 7dd67cc..77e08bd 100755
--- a/.jenkins.d/10-build.sh
+++ b/.jenkins.d/10-build.sh
@@ -1,19 +1,16 @@
#!/usr/bin/env bash
-set -ex
-
-git submodule sync
-git submodule update --init
+set -exo pipefail
# Build in debug mode
./waf --color=yes configure --debug
-./waf --color=yes build -j$WAF_JOBS
+./waf --color=yes build
# Cleanup
./waf --color=yes distclean
# Build in release mode
./waf --color=yes configure
-./waf --color=yes build -j$WAF_JOBS
+./waf --color=yes build
# Install
-sudo_preserve_env PATH -- ./waf --color=yes install
+sudo ./waf --color=yes install